﻿/*********************************************************
 * 开发人员：ivan.yu
 * 创建时间：2012/6/22 7:29:49
 * 描述说明：这是从db4o 官方入门教程中摘出来的第六章代码，便于大家调试
 * 
 * 更改历史：
 * 
 * *******************************************************/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Db4o06
{
    class SensorReadout
    {
        double[] _values;
        DateTime _time;
        Car _car;

        public SensorReadout(double[] values, DateTime time, Car car)
        {
            _values = values;
            _time = time;
            _car = car;
        }

        public Car Car
        {
            get
            {
                return _car;
            }
        }

        public DateTime Time
        {
            get
            {
                return _time;
            }
        }

        public int NumValues
        {
            get
            {
                return _values.Length;
            }
        }

        public double[] Values
        {
            get
            {
                return _values;
            }
        }

        public double GetValue(int idx)
        {
            return _values[idx];
        }

        override public string ToString()
        {
            StringBuilder builder = new StringBuilder();
            builder.Append(_car);
            builder.Append(" : ");
            builder.Append(_time.TimeOfDay);
            builder.Append(" : ");
            for (int i = 0; i < _values.Length; ++i)
            {
                if (i > 0)
                {
                    builder.Append(", ");
                }
                builder.Append(_values[i]);
            }
            return builder.ToString();
        }
    }
}
